## FolksFavouriteDetails

FolksFavouriteDetails — Favourite status for a contact.

## Types and Values

| FolksFavouriteDetails
struct | FolksFavouriteDetailsIface

## Description

This allows user-defined favourite contacts to be specified. A contact is a favourite if the user has selected them as such; the semantics of 'favourite' are left unspecified by folks. Typically, a user might select the contacts that they talk to most frequently as their favourite contacts in an instant messaging program, for example.

## Functions

## Types and Values

### FolksFavouriteDetails

    typedef struct _FolksFavouriteDetails FolksFavouriteDetails;

Favourite status for a contact.

This allows user-defined favourite contacts to be specified. A contact is a favourite if the user has selected them as such; the semantics of 'favourite' are left unspecified by folks. Typically, a user might select the contacts that they talk to most frequently as their favourite contacts in an instant messaging program, for example.

### struct FolksFavouriteDetailsIface

    struct FolksFavouriteDetailsIface {
    	GTypeInterface parent_iface;
    	void (*change_is_favourite) (FolksFavouriteDetails* self, gboolean is_favourite, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*change_is_favourite_finish) (FolksFavouriteDetails* self, GAsyncResult* _res_, GError** error);
    	gboolean (*get_is_favourite) (FolksFavouriteDetails* self);
    	void (*set_is_favourite) (FolksFavouriteDetails* self, gboolean value);
    };

Interface for creating FolksFavouriteDetails implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`change_is_favourite` () | virtual method called by ``folks_favourite_details_change_is_favourite()`` |
`change_is_favourite_finish` () | asynchronous finish function for `change_is_favourite`, called by ``folks_favourite_details_change_is_favourite()`` |
`get_is_favourite` () | getter method for the abstract property "is-favourite" |
`set_is_favourite` () | setter method for the abstract property "is-favourite" |